******************************************
*******供应链金融与中小企业国际化*********
**作者：赵春明、班元浩等；时间2023/02/01**
******************************************

clear
cd Q:\企业国际化视角下收入分配效应效应研究\供应链金融与企业国际化行为\数据\回归结果\上传数据
use 定稿数据,replace
global output=",addtext( code FE, YES, year FE, YES) tstat tdec(4) bdec(4) adjr2 replace"
global output1=",addtext(  code FE, YES, year FE, YES ) tstat tdec(4) bdec(4) dec(4) adjr2 "
global output2=",addtext(  code FE, YES, year FE, YES ) tstat tdec(4) bdec(4) dec(4)  "

*描述性统计
logout, save(statistics) word dec(4) replace :tabstat hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub   , s(n mean sd max min p50 ) c(s) 


*表1：基准回归
use 定稿数据,replace
reghdfe  hwsr SCF_DID ,noa  cl(code)
est store a1
reghdfe  hwsr SCF_DID ,a( code year) cl(code)
est store a2
reghdfe  hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub ,a( code year) cl(code)
est store a3
reghdfe  hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit ,a( code year) cl(code)
est store a4
reghdfe  d_gjh SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit ,a( code year) cl(code)
est store a5
outreg2 [a1- a5] using 表1基准回归.rtf $output

*表2：异质性
use 定稿数据,replace
reghdfe hwsr   SCF_DID  size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit  if H_cx==1  ,a( code year) cl(code)
est store a1
reghdfe hwsr   SCF_DID  size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit  if H_cx==0  ,a( code year) cl(code)
est store a2
chowtest hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit   ,group(H_cx)

reghdfe hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit   if H_hhi==0 ,a( code year) cl(code)
est store a3
reghdfe hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit   if H_hhi==1 ,a( code year) cl(code)
est store a4
chowtest hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit   ,group(H_hhi)

reghdfe hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit   if soe1==0 ,a( code year) cl(code)
est store a5
reghdfe hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit   if soe1==1 ,a( code year) cl(code)
est store a6
chowtest hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit   ,group(soe1)

outreg2 [a1- a6] using 表2异质性.rtf $output

*表3：识别策略可行性
use 定稿数据,replace
logitfe FFSCF_DID  hwsr  $cvs , noc teffects(yes) ieffects(yes)
est store a1
probitfe FFSCF_DID  hwsr  $cvs , noc teffects(yes) ieffects(yes)
est store a2
outreg2 [a1- a2] using 表3_1.rtf $output2


use 定稿数据1,replace
reg SCF_post2 hwsr111
est store a3
outreg2 [a3] using 表3_2.rtf $output2


use 定稿数据2,replace
reg SCF_post2 hwsr111
est store a4
outreg2 [a4] using 表3_3.rtf $output2

use 定稿数据,replace
reghdfe  hwsr  before1 before2 before3 SCF_DID  $cvs ,a(code year) cl(code)
est store a5
outreg2 [a5] using 表3_4.rtf $output


*图1：动态处理效应
use 定稿数据,replace
csdid hwsr  $cvs  , i(code) t(year) gvar(SCF_post2) cl(code) method(drimp) agg(event) level(95) 
event_plot e(b)#e(V),    graph_opt( xtitle(`"{fontface "宋体":供应链金融使用相对时间}"',size(large)) ///
xline(0, lwidth(vthin) lpattern(dash) lcolor(teal))  yline(0, lwidth(vthin) lpattern(dash) lcolor(teal))  ///
 ytitle(`"{fontface "宋体":企}"'`"{fontface "宋体":业}"' `"{fontface "宋体":走}"' `"{fontface "宋体":出}"' `"{fontface "宋体":去}"',size(large) orientation(horizontal) ) xlabel(-5(1)5,labsize(medlarge) nogrid) ylabel(-.4(.2).8,labsize(medlarge) nogrid  format(%02.1f))  scheme(tufte) ) ///
lag_opt(color(gray)) lead_opt(color(gray)) lag_ci_opt(lpattern(dash) recast(rcap)  color(black) lwidth(thin)) lead_ci_opt(lpattern(dash) recast(rcap) lwidth(thin) ) stub_lag(Tp#) stub_lead(Tm#) trimlead(5) trimlag(4) together  plottype(connected)  alpha(0.1)  
graph export "动态处理效应图.png", as(png)  width(1200) height(900) replace

*附表：异质性处理效应检验
*1Bacon检验
use 定稿数据,replace
xtset code year
xtbalance, range(2010 2019)
bacondecomp hwsr SCF_DID, ddetail cl(code)
*2异质性稳健估计量
use 定稿数据,replace
csdid hwsr    , i(code) t(year) gvar(SCF_post2) cl(code) method(drimp) agg(simple) level(95) 
est store a1

csdid hwsr   size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit  , i(code) t(year) gvar(SCF_post2) cl(code) method(drimp) agg(simple) level(95) 
est store a2
outreg2 [a1- a2] using 表5.rtf $output2


//sdid
use  定稿数据sdid,replace
sdid hwsr  code year SCF_DID ,vce(bootstrap) 
sdid hwsr  code year SCF_DID , vce(bootstrap) covariates(iposize1  ipoage1  ipotop10 iporoaa ipocap ipolev ipogrowa ipocash ipohhi_c iposub  ipofdi ipogdp1  ipotraffit1 ipoopen, projected) 



*附表：其他稳健性
use  定稿数据,replace
*PSM-DID
preserve
psmatch2 SCF_treat  size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit  , out(hwsr) logit ate neighbor(1) common caliper(.05) 
pstest $cvs , both graph
gen common=_support
drop if common == 0
reghdfe  hwsr  SCF_DID $cvs ,a(code year) cl(code)
est store b1
outreg2 [b1] using 表其他稳健性.rtf $output1
restore

preserve
psmatch2 SCF_treat size age1  top10 roa cap lev growa cash   hhi sub   fdi gdp1 traffit1, kernel k(biweight) out(hwsr)
gen common=_support
drop if common == 0
reghdfe  hwsr  SCF_DID $cvs ,a(code year) cl(code)
est store b2
outreg2 [b2] using 表其他稳健性.rtf $output1
restore

*HECKman
xtset code year
probitfe inernation SCF_DID   size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit  port , noc teffects(yes) ieffects(yes) 

predict w,xb
gen imr=normalden(w)/normal(w)
reghdfe  hwsr SCF_DID imr  size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit  ,a( code year) cl(code)



reghdfe  hwsr scf_a  size age  top10 roa  lev growa  cash  hhi sub  fdi gdp1 open  traffit    ,a( code  year)  cl(code)

reghdfe  gjh SCF_DID    size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit  ,a(code year)  cl(code)

*其他稳健性检验 换估计方法
use  定稿数据,replace

*替换解释变量
reghdfe  hwsr scf_a  size age  top10 roa  lev growa  cash  hhi sub  fdi gdp1 open  traffit    ,a( code  year)  cl(code)

*替换呗解释变量
reghdfe  gjh SCF_DID    size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit  ,a(code year)  cl(code)

*多维固定效应
reghdfe  hwsr SCF_DID  size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open  traffit  ,a(ccode ind code year) cl(code)

*剔除样本
use 定稿always样本,replace
reghdfe hwsr SCF_DID     size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit    ,a( code year) cl(code)

*进入退出
use  定稿数据,replace
did_multiplegt hwsr code year scf_did_jt2 , robust_dynamic dynamic(5) placebo(4)  controls($cvs )  longdiff_placebo breps(100) 

*延长样本
use 定稿数据延长样本,replace
reghdfe hwsr SCF_DID     size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit    ,a( code year) cl(code)


*表4：影响机制
use  定稿数据,replace

reghdfe saindex_y111 SCF_DID     size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit   ,a( ccode year)  cl(code)
est store a1
reghdfe hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit  if H_saindex_y==1 ,a( code year) cl(code)
est store a2
reghdfe hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit  if H_saindex_y==0 ,a( code year) cl(code)
est store a3
reghdfe fr111 SCF_DID    size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit    ,a( ccode year)   cl(code)
est store a4
reghdfe hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit   if H_fr1==1 ,a( code year) cl(code)
est store a5
reghdfe hwsr SCF_DID size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit   if H_fr1==0 ,a( code year) cl(code)
est store a6
outreg2 [a1- a4] using 表4影响机制panela.rtf $output


reghdfe t5cusoirt1 SCF_DID    size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit    ,a( ccode year)  cl(code)
est store a1
reghdfe hwsr SCF_DID   size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit    if H_t5cusoirt==1 ,a( code year) vce(r)
est store a2
reghdfe hwsr SCF_DID   size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit   if H_t5cusoirt==0 ,a( code year) vce(r)
est store a3
reghdfe t5suplpart1 SCF_DID    size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit     ,a( ccode year)  cl(code)
est store a4
reghdfe hwsr SCF_DID   size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit   if H_t5suplpart==1 ,a( code year) vce(r)
est store a5
reghdfe hwsr SCF_DID   size age  top10 roa cap lev growa  cash  hhi sub  fdi gdp open traffit   if H_t5suplpart==0 ,a( code year) vce(r)
est store a4
outreg2 [a1- a4] using 表4影响机制panelb.rtf $output


*表5
*拓展分析：供应链金融促进企业脱实向虚了吗？供应链金融助力企业走出去的稳就业效应
*金融化
use  定稿数据,replace
reghdfe JRH SCF_DID size age  top10  roa cap lev growa   hhi sub  fdi gdp1 open  traffit  ,a( code year)  cl(code)
est store a1
*拓展性：稳就业效应、需要去掉基准回归企业规模的控制变量
reghdfe size SCF_DID   age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit   ,a( code year) cl(code)
est store a3
reghdfe hwsr SCF_DID   age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit    ,a( code year) cl(code)
est store a4
reghdfe size SCF_DID  hwsr   age  top10 roa cap lev growa  cash  hhi sub  fdi gdp1 open  traffit    ,a( code year) cl(code)
est store a5
outreg2 [a1- a5] using 表5拓展性分析.rtf $output






